.item,
.item--hover {
  position: relative;
  padding: 0 12px;
  box-shadow: var(--project-card-border-bottom), var(--project-card-border-top);
  background: var(--project-card-background);
}

.item--hover {
  box-shadow: var(--project-card-border--delete);
  z-index: 1;
}

.box {
  display: grid;
  grid-template-columns: 1fr 36px 24px; /* need this to be 435px before the date start */
  grid-template-areas: "name edit delete";
  align-items: center;
  gap: 12px;
  height: 54px;
}

.imageWrapper {
  width: 32px;
  height: 32px;
  grid-area: image;
  display: none;
}

.input {
  border-radius: 2px;
  padding: 6px;
  width: 100%;
  height: 30px;
  /* Decision here to change the font-size from 16 to 15. Seems like Figma don't render that correctly always */
  font-size: 15px;
  color: var(--font-color-dark-70);
  caret-color: var(--caret-color);
  grid-area: name;
}

.input::placeholder {
  padding: 6px;
  font-size: 15px;
  color: var(--font-color-dark-40);
}

.input::selection {
  background: #bae7ff;
}

.name {
  font-size: 15px;
  font-weight: 600;
  color: var(--font-color-dark-70);
  grid-area: name;
}

.editButton {
  margin-top: 1px;
  grid-area: edit;
}

.date {
  grid-area: date;
  display: none;
}

.date,
.time {
  font-size: 14px;
  color: var(--font-color-dark-50);
}

.time {
  padding-left: 12px;
}

.deleteButton {
  grid-area: delete;
}

@media screen and (min-width: 580px) {
  .item,
  .item--hover {
    padding: 0 24px;
  }

  .box {
    display: grid;
    grid-template-columns: 188px 6% auto 24px;
    grid-template-areas: "name edit date delete";
    align-items: center;
    gap: 24px;
    height: 70px;
  }

  .date {
    display: block;
  }
}

@media screen and (min-width: 640px) {
  .box {
    grid-template-columns: 188px 17% auto 24px;
  }
}

@media screen and (min-width: 800px) {
  .box {
    display: grid;
    grid-template-columns: 32px 188px 128px auto 24px;
    grid-template-areas: "image name edit date delete";
    align-items: center;
    gap: 24px;
    height: 70px;
  }

  .imageWrapper {
    display: block;
  }

  .name {
    font-size: 20px;
  }
}
